org.apache.tinkerpop.gremlin.structure.io.gryo

## Class GryoClassResolverV3d0

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.gryo.AbstractGryoClassResolver
  - - org.apache.tinkerpop.gremlin.structure.io.gryo.GryoClassResolverV3d0

- All Implemented Interfaces:
    org.apache.tinkerpop.shaded.kryo.ClassResolver

      public class GryoClassResolverV3d0
      extends AbstractGryoClassResolver

  `AbstractGryoClassResolver` for Gryo 3.0.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.structure.io.gryo.AbstractGryoClassResolver

      `classToNameId, classToRegistration, idToRegistration, kryo, NAME, nameIdToClass, nameToClass, nextNameId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GryoClassResolverV3d0()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class` | `coerceType(Class clazz)` Called from `AbstractGryoClassResolver.getRegistration(Class)` to determine the actual type.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.structure.io.gryo.AbstractGryoClassResolver

      `getRegistration, getRegistration, getTypeByName, readClass, readName, register, registerImplicit, reset, setKryo, writeClass, writeName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GryoClassResolverV3d0

          public GryoClassResolverV3d0()

  - ### Method Detail

    - #### coerceType

          public Class coerceType(Class clazz)

      Description copied from class: `AbstractGryoClassResolver`
      Called from `AbstractGryoClassResolver.getRegistration(Class)` to determine the actual type.
      Specified by:
        `coerceType` in class `AbstractGryoClassResolver`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.